# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.97"
name = "moa_tlb"
version = "0.1.3"
authors = ["Zhang hengtian <hengtian.zhang@foxmail.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TLB 维护操作"
readme = false
keywords = [
    "no-std",
    "tlb",
    "mmu",
]
categories = [
    "no-std",
    "hardware-support",
]
license = "Apache-2.0"
repository = "https://gitee.com/smoana/moana"

[lib]
name = "moa_tlb"
path = "src/lib.rs"

[dependencies.cfg-if]
version = "1.0"

[dependencies.moa_mm]
version = "0.1"
default-features = false

[build-dependencies.moa_target_define]
version = "0.1"
default-features = false

[lints.clippy]
dbg_macro = "warn"
empty_drop = "warn"
empty_structs_with_brackets = "warn"
exit = "warn"
inline_always = "allow"
mem_forget = "warn"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
ref_as_ptr = "allow"
rest_pat_in_fully_bound_structs = "warn"
string_add = "warn"
string_lit_as_bytes = "warn"
todo = "warn"
unimplemented = "warn"
uninlined_format_args = "allow"
unnecessary_safety_comment = "warn"
unnecessary_safety_doc = "warn"
unneeded_field_pattern = "warn"
unreadable_literal = "allow"
verbose_file_reads = "warn"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
missing_abi = "warn"
missing_docs = "warn"
unreachable_pub = "warn"
unsafe_code = "deny"
unused_extern_crates = "warn"
unused_import_braces = "deny"
unused_lifetimes = "deny"
unused_macro_rules = "deny"
unused_qualifications = "deny"
